Bug 1916621

Summary: oc adm node-logs examples are wrong
Product: OpenShift Container Platform Reporter: Grant <grant.mcbrien>
Component: ocAssignee: Maciej Szulik <maszulik>
Status: CLOSED ERRATA QA Contact: zhou ying <yinzhou>
Severity: low Docs Contact:
Priority: low    
Version: 4.6CC: aos-bugs, jokerman, mfojtik
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:53:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Grant 2021-01-15 09:54:35 UTC
Description of problem:

oc adm node-logs examples  have syntax errors. Currently:

---

Examples:
  # Show kubelet logs from all masters
  oc adm node-logs node-logs --role master -u kubelet

  # See what logs are available in masters in /var/logs
  oc adm node-logs node-logs --role master --path=/

  # Display cron log file from all masters
  oc adm node-logs node-logs --role master --path=cron

---

"node-logs node-logs" appears to be wrong


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. oc adm node-logs -h
2. read
3. open bug report :)

Actual results:
node-logs repeated

Expected results:
"node-logs" shouldn't be repeated

Additional info:

Comment 2 zhou ying 2021-01-19 02:38:33 UTC
Confirmed with latest oc client, the issue has fixed:
[root@dhcp-140-138 roottest]# oc adm node-logs -h
Display and filter node logs

 .....
Examples:
  # Show kubelet logs from all masters
  oc adm node-logs --role master -u kubelet
  
  # See what logs are available in masters in /var/logs
  oc adm node-logs --role master --path=/
  
  # Display cron log file from all masters
  oc adm node-logs --role master --path=cron


[root@dhcp-140-138 roottest]#  oc version --client
Client Version: 4.7.0-202101162121.p0-4d52be6

Comment 5 errata-xmlrpc 2021-02-24 15:53:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633